/* cctalk_acceptor.c */
extern BYTE TransmitPollingPriority(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceivePollingPriority(const UBYTE port, const UBYTE slave, UBYTE *units, UBYTE *value, const SECURITY_KEY crcmode);
extern BYTE TransmitStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveStatus(const UBYTE port, const UBYTE slave, UBYTE *status, const SECURITY_KEY crcmode);
extern BYTE TransmitVariableSet(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveVariableSet(const UBYTE port, const UBYTE slave, UBYTE *data, const SECURITY_KEY crcmode);
extern BYTE TransmitDatabaseVersion(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveDatabaseVersion(const UBYTE port, const UBYTE slave, BYTE *databaseversion, const SECURITY_KEY crcmode);
extern BYTE TransmitTestSolenoids(const UBYTE port, const UBYTE slave, const UBYTE bitmask, const SECURITY_KEY crcmode);
extern BYTE ReceiveTestSolenoids(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitTestOutputLines(const UBYTE port, const UBYTE slave, const UBYTE bitmask, const SECURITY_KEY crcmode);
extern BYTE ReceiveTestOutputLines(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitReadInputLines(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadInputLines(const UBYTE port, const UBYTE slave, UBYTE *inputlines, const SECURITY_KEY crcmode);
extern BYTE TransmitReadOptoStates(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadOptoStates(const UBYTE port, const UBYTE slave, UBYTE *optostates, const SECURITY_KEY crcmode);
extern BYTE TransmitLatchOutputLines(const UBYTE port, const UBYTE slave, UBYTE bitmask, const SECURITY_KEY crcmode);
extern BYTE ReceiveLatchOutputLines(const UBYTE port, const UBYTE slave, UBYTE *bitmask, const SECURITY_KEY crcmode);
extern BYTE TransmitPerformSelfCheck(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceivePerformSelfCheck(const UBYTE port, const UBYTE slave, UBYTE *faultcode, UBYTE *extrainfo, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyInhibitStatus(const UBYTE port, const UBYTE slave, const UBYTE inhibitmask1, const UBYTE inhibitmask2, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyInhibitStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyInhibitStatus64(const UBYTE port, const UBYTE slave, const ULONG inhibitmask1, const ULONG inhibitmask2, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyInhibitStatus64(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitInhibitStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveInhibitStatus(const UBYTE port, const UBYTE slave, UBYTE *inhibitmask1, UBYTE *inhibitmask2, const SECURITY_KEY crcmode);
extern BYTE TransmitReadBufferedCreditOrErrorCodes(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadBufferedCreditOrErrorCodes(const UBYTE port, const UBYTE slave, CCTALK_EVENTS *events, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyMasterInhibitStatus(const UBYTE port, const UBYTE slave, BYTE masterstate, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyMasterInhibitStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitRequestMasterInhibitStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveRequestMasterInhibitStatus(const UBYTE port, const UBYTE slave, UBYTE *inhibitstatus, const SECURITY_KEY crcmode);
extern BYTE TransmitInsertionCounter(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveInsertionCounter(const UBYTE port, const UBYTE slave, ULONG *counter, const SECURITY_KEY crcmode);
extern BYTE TransmitAcceptCounter(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveAcceptCounter(const UBYTE port, const UBYTE slave, ULONG *counter, const SECURITY_KEY crcmode);
extern BYTE TransmitModifySorterOverrideStatus(const UBYTE port, const UBYTE slave, ULONG overridebitmask, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifySorterOverrideStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitSorterOverrideStatus(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveSorterOverrideStatus(const UBYTE port, const UBYTE slave, UBYTE *overridebitmask, const SECURITY_KEY crcmode);
extern BYTE TransmitEnterNewPINNumber(const UBYTE port, const UBYTE slave, UBYTE *pin, const SECURITY_KEY crcmode);
extern BYTE ReceiveEnterNewPINNumber(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitEnterPINNumber(const UBYTE port, const UBYTE slave, UBYTE *pin, const SECURITY_KEY crcmode);
extern BYTE ReceiveEnterPINNumber(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitDataStorageAvailability(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveDataStorageAvailability(const UBYTE port, const UBYTE slave, CCTALK_STORAGE *storage, const SECURITY_KEY crcmode);
extern BYTE TransmitReadDataBlock(const UBYTE port, const UBYTE slave, const UBYTE blocknumber, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadDataBlock(const UBYTE port, const UBYTE slave, CCTALK_VARIABLE *data, const SECURITY_KEY crcmode);
extern BYTE TransmitWriteDataBlock(const UBYTE port, const UBYTE slave, const BYTE blocknumber, const CCTALK_VARIABLE *data, const SECURITY_KEY crcmode);
extern BYTE ReceiveWriteDataBlock(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitOptionFlags(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveOptionFlags(const UBYTE port, const UBYTE slave, UBYTE *options, const SECURITY_KEY crcmode);
extern BYTE TransmitCoinPosition(const UBYTE port, const UBYTE slave, UBYTE creditcode, const SECURITY_KEY crcmode);
extern BYTE ReceiveCoinPosition(const UBYTE port, const UBYTE slave, WORD *positionmask, const SECURITY_KEY crcmode);
extern BYTE TransmitModifySorterPaths(const UBYTE port, const UBYTE slave, const UBYTE coinposition, ULONG *paths, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifySorterPaths(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitSorterPaths(const UBYTE port, const UBYTE slave, UBYTE coinposition, const SECURITY_KEY crcmode);
extern BYTE ReceiveSorterPaths(const UBYTE port, const UBYTE slave, ULONG *path, const SECURITY_KEY crcmode);
extern BYTE TransmitTeachModeControl(const UBYTE port, const UBYTE slave, const BYTE position, const BYTE orientation, const SECURITY_KEY crcmode);
extern BYTE ReceiveTeachModeControl(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitTeachStatus(const UBYTE port, const UBYTE slave, BYTE command, const SECURITY_KEY crcmode);
extern BYTE ReceiveTeachStatus(const UBYTE port, const UBYTE slave, BYTE *nocoins, BYTE *statuscode, const SECURITY_KEY crcmode);
extern BYTE TransmitConfigurationToEEPROM(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveConfigurationToEEPROM(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitCountersToEEPROM(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveCountersToEEPROM(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitCreationDate(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveCreationDate(const UBYTE port, const UBYTE slave, WORD *creationdate, const SECURITY_KEY crcmode);
extern BYTE TransmitLastModificationDate(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveLastModificationDate(const UBYTE port, const UBYTE slave, WORD *datecode, const SECURITY_KEY crcmode);
extern BYTE TransmitRejectCounter(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveRejectCounter(const UBYTE port, const UBYTE slave, ULONG *count, const SECURITY_KEY crcmode);
extern BYTE TransmitFraudCounter(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveFraudCounter(const UBYTE port, const UBYTE slave, ULONG *count, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyDefaultSorterPaths(const UBYTE port, const UBYTE slave, const UBYTE path, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyDefaultSorterPaths(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitDefaultSorterPaths(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveDefaultSorterPaths(const UBYTE port, const UBYTE slave, UBYTE *path, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyCoinID(const UBYTE port, const UBYTE slave, const UBYTE *coinid, const UBYTE coinlength, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyCoinID(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitCoinID(const UBYTE port, const UBYTE slave, const BYTE coinposition, const SECURITY_KEY crcmode);
extern BYTE ReceiveCoinID(const UBYTE port, const UBYTE slave, BYTE *coinid, const SECURITY_KEY crcmode);
extern BYTE TransmitUploadWindowData(const UBYTE port, const UBYTE slave, const BYTE operationcode, const BYTE position, const BYTE *extraData, const SECURITY_KEY crcmode);
extern BYTE ReceiveUploadWindowData(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitDownloadCalibrationInfo(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveDownloadCalibrationInfo(const UBYTE port, const UBYTE slave, BYTE *data, const SECURITY_KEY crcmode);
extern BYTE TransmitModifySecuritySetting(const UBYTE port, const UBYTE slave, const BYTE position, const BYTE securitysetting, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifySecuritySetting(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitSecuritySetting(const UBYTE port, const UBYTE slave, const BYTE position, const SECURITY_KEY crcmode);
extern BYTE ReceiveSecuritySetting(const UBYTE port, const UBYTE slave, BYTE *securitysetting, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyBankSelect(const UBYTE port, const UBYTE slave, const BYTE bankno, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyBankSelect(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitBankSelect(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBankSelect(const UBYTE port, const UBYTE slave, BYTE *bankno, const SECURITY_KEY crcmode);
extern BYTE TransmitAlarmCounter(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveAlarmCounter(const UBYTE port, const UBYTE slave, BYTE *alarmcount, const SECURITY_KEY crcmode);
extern BYTE TransmitThermistorReading(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveThermistorReading(const UBYTE port, const UBYTE slave, BYTE *thermistorvalue, const SECURITY_KEY crcmode);
extern BYTE TransmitBaseYear(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBaseYear(const UBYTE port, const UBYTE slave, WORD *baseyear, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyInhibitOverrideRegisters(const UBYTE port, const UBYTE slave, CCTALK_INHIBITS *inhibits, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyInhibitOverrideRegisters(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitSetAcceptLimit(const UBYTE port, const UBYTE slave, const BYTE nocoins, const SECURITY_KEY crcmode);
extern BYTE ReceiveSetAcceptLimit(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
