/* cctalk_core.c */
extern BYTE CctalkSetDebug(const UBYTE state, const DEVICE *serialdevice, BYTE channel);
extern void CctalkDebugMessage(CCTALK_PACKET *inpacket);
extern void CctalkOutput(UBYTE *message);
extern BYTE TransmitSimplePoll(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveSimplePoll(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitManufacturerID(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveManufacturerID(const UBYTE port, const UBYTE slave, UBYTE *manufacturer, const SECURITY_KEY crcmode);
extern BYTE TransmitEquipmentCategoryID(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveEquipmentCategoryID(const UBYTE port, const UBYTE slave, UBYTE *categoryid, const SECURITY_KEY crcmode);
extern BYTE TransmitProductCode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveProductCode(const UBYTE port, const UBYTE slave, UBYTE *productcode, const SECURITY_KEY crcmode);
extern BYTE TransmitBuildCode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBuildCode(const UBYTE port, const UBYTE slave, UBYTE *buildcode, const SECURITY_KEY crcmode);
