/* cctalk_validator.c */
extern BYTE TransmitOperateMotors(const UBYTE port, const UBYTE slave, UBYTE bitmask, const SECURITY_KEY crcmode);
extern BYTE ReceiveOperateMotors(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitReadBufferedBillEvents(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadBufferedBillEvents(const UBYTE port, const UBYTE slave, CCTALK_EVENTS *events, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyBillID(const UBYTE port, const UBYTE slave, const BYTE billtype, const BYTE *billid, const UBYTE billidlength, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyBillID(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitBillID(const UBYTE port, const UBYTE slave, UBYTE billtype, const SECURITY_KEY crcmode);
extern BYTE ReceiveBillID(const UBYTE port, const UBYTE slave, UBYTE *billid, const SECURITY_KEY crcmode);
extern BYTE TransmitCountryScalingFactor(const UBYTE port, const UBYTE slave, const UWORD countrycode, const SECURITY_KEY crcmode);
extern BYTE ReceiveCountryScalingFactor(const UBYTE port, const UBYTE slave, WORD *scalingfactor, BYTE *decimalplaces, const SECURITY_KEY crcmode);
extern BYTE TransmitBillPosition(const UBYTE port, const UBYTE slave, const UWORD bill, const SECURITY_KEY crcmode);
extern BYTE ReceiveBillPosition(const UBYTE port, const UBYTE slave, UWORD *position, const SECURITY_KEY crcmode);
extern BYTE TransmitRouteBill(const UBYTE port, const UBYTE slave, const UBYTE routecode, const SECURITY_KEY crcmode);
extern BYTE ReceiveRouteBill(const UBYTE port, const UBYTE slave, UBYTE *errorcode, const SECURITY_KEY crcmode);
extern BYTE TransmitModifyBillOperatingMode(const UBYTE port, const UBYTE slave, const UBYTE modecontrol, const SECURITY_KEY crcmode);
extern BYTE ReceiveModifyBillOperatingMode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitBillOperatingMode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBillOperatingMode(const UBYTE port, const UBYTE slave, BYTE *modecontrol, const SECURITY_KEY crcmode);
extern BYTE TransmitTestLamps(const UBYTE port, const UBYTE slave, const UBYTE lampno, const UBYTE lampcontrol, const SECURITY_KEY crcmode);
extern BYTE ReceiveTestLamps(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitIndividualAcceptCounter(const UBYTE port, const UBYTE slave, const UBYTE billtype, const SECURITY_KEY crcmode);
extern BYTE ReceiveIndividualAcceptCounter(const UBYTE port, const UBYTE slave, ULONG *count, const SECURITY_KEY crcmode);
extern BYTE TransmitIndividualErrorCount(const UBYTE port, const UBYTE slave, const BYTE errortype, const SECURITY_KEY crcmode);
extern BYTE ReceiveIndividualErrorCount(const UBYTE port, const UBYTE slave, ULONG *count, const SECURITY_KEY crcmode);
extern BYTE TransmitReadOptoVoltages(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveReadOptoVoltages(const UBYTE port, const UBYTE slave, CCTALK_VARIABLE *data, const SECURITY_KEY crcmode);
extern BYTE TransmitPerformStackerCycle(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceivePerformStackerCycle(const UBYTE port, const UBYTE slave, UBYTE *errorcode, const SECURITY_KEY crcmode);
extern BYTE TransmitOperateBidirectionalMotors(const UBYTE port, const UBYTE slave, const UBYTE motor, const UBYTE direction, const UBYTE speed, const SECURITY_KEY crcmode);
extern BYTE ReceiveOperateBidirectionalMotors(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitCountryRevision(const UBYTE port, const UBYTE slave, UWORD countrycode, const SECURITY_KEY crcmode);
extern BYTE ReceiveCountryRevision(const UBYTE port, const UBYTE slave, UBYTE *countryrevision, const SECURITY_KEY crcmode);
extern BYTE TransmitUploadBillTables(const UBYTE port, const UBYTE slave, const UBYTE block, const UBYTE line, const CCTALK_VARIABLE *vardata, const SECURITY_KEY crcmode);
extern BYTE ReceiveUploadBillTables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitBeginBillTables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBeginBillTables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitFinishBillTableUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveFinishBillTableUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitFirmwareUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveFirmwareUpgrade(const UBYTE port, const UBYTE slave, UBYTE *firmwareoptions, const SECURITY_KEY crcmode);
extern BYTE TransmitUploadFirmware(const UBYTE port, const UBYTE slave, const UBYTE block, const UBYTE line, const CCTALK_VARIABLE *vardata, const SECURITY_KEY crcmode);
extern BYTE ReceiveUploadFirmware(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitBeginFirmwareUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveBeginFirmwareUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitFinishFirmwareUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveFinishFirmwareUpgrade(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitSwitchEncryptionCode(const UBYTE port, const UBYTE slave, const ULONG *seccode, const SECURITY_KEY crcmode);
extern BYTE ReceiveSwitchEncryptionCode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE TransmitStoreEncryptionCode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
extern BYTE ReceiveStoreEncryptionCode(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcmode);
