/* elo.c */
extern const TOUCHSERVICES EloServices;
extern const DEVICE EloDevice;
extern void Elo10ms(void);
extern UWORD EloReset(UBYTE reset_type);
extern UWORD EloIdentify(TOUCHIDENTITY *touchidentity);
extern UWORD EloSetSerial(BYTE baud, BYTE bits, BYTE stop, BYTE parity, BYTE handshake);
extern UWORD EloSetMode(UBYTE mode);
extern UWORD EloCalibrate(UWORD step_number);
extern ELOSTS EloAcknowledgeQuery(void);
extern ELOSTS EloReportQuery(UBYTE *response_packet);
extern ELOSTS EloReportSet(UBYTE Untouch, UBYTE RepDelay, UBYTE *response_packet);
extern ELOSTS EloCalibrateQuery(UBYTE axis);
extern ELOSTS EloCalibrateSet(UWORD step_number, UBYTE *response_packet);
extern ELOSTS EloDiagnosticsQuery(UBYTE *response_packet);
extern ELOSTS EloDiagnosticsSet(UBYTE Dmask, UBYTE *response_packet);
extern ELOSTS EloEmulateQuery(UBYTE *response_packet);
extern ELOSTS EloEmulateSet(UBYTE TouchFlag, UBYTE Format, UBYTE *response_packet);
extern ELOSTS EloFilterQuery(UBYTE *response_packet);
extern ELOSTS EloFilterSet(UBYTE Type, UBYTE SLen, UBYTE Width, UBYTE States, UBYTE Control, UBYTE *response_packet);
extern ELOSTS EloConfigurationQuery(UBYTE *response_packet);
extern ELOSTS EloTimerQuery(UBYTE *response_packet);
extern ELOSTS EloTimerSet(UBYTE Enable, UBYTE TMode, UWORD Interval, UWORD Current, UBYTE *response_packet);
extern ELOSTS EloIDQuery(UBYTE *response_packet);
extern ELOSTS EloJumpersQuery(UBYTE *response_packet);
extern ELOSTS EloKeyQuery(UBYTE *response_packet);
extern ELOSTS EloKeySet(UBYTE KeyValue, UBYTE *response_packet);
extern ELOSTS EloLowPowerQuery(UBYTE *response_packet);
extern ELOSTS EloLowPowerSet(UBYTE Enable, UBYTE *response_packet);
extern ELOSTS EloModeQuery(UBYTE *response_packet);
extern ELOSTS EloModeSet(UBYTE Mode1, UBYTE Mode2, UBYTE *response_packet);
extern ELOSTS EloNVRAMSet(UBYTE Direction, UBYTE Areas, UBYTE Page, UBYTE *response_packet);
extern ELOSTS EloOwnerQuery(UBYTE *response_packet);
extern ELOSTS EloParameterQuery(UBYTE *response_packet);
extern ELOSTS EloParameterSet(UBYTE Ser1, UBYTE Ser2, UBYTE *response_packet);
extern ELOSTS EloQuietQuery(UBYTE *response_packet);
extern ELOSTS EloQuietSet(UBYTE Qmask, UBYTE *response_packet);
extern ELOSTS EloResetSet(UBYTE RType, UBYTE *response_packet);
extern ELOSTS EloScalingQuery(UBYTE *response_packet);
extern ELOSTS EloScalingSet(UBYTE AXIS, UBYTE LowPoint, UBYTE HighPoint, UBYTE IMask, UBYTE *response_packet);
extern ELOSTS EloTouchQuery(UBYTE *response_packet);
extern ELOSTS EloCommand(UBYTE *command_packet, UBYTE *response_packet, UWORD timeout);
extern ELOSTS EloQuery(UBYTE *command_packet, UBYTE *response_packet, UWORD timeout);
extern void EloSendCommand(UBYTE *command_packet);
extern ELOSTS EloGetResponse(UBYTE *response_packet, UWORD timeout);
