/* microtouch.c */
extern const TOUCHSERVICES MicroTouchServices;
extern const DEVICE MicroTouchDevice;
extern void MicroTouch10ms(void);
extern UWORD MicroTouchIdentify(TOUCHIDENTITY *touchidentity);
extern UWORD MicroTouchSetSerial(BYTE baud, BYTE bits, BYTE stop, BYTE parity, BYTE handshake);
extern UWORD MicroTouchSetMode(UBYTE mode);
extern UWORD MicroTouchCalibrate(UWORD step_number);
extern UWORD MicroTouchReset(UBYTE reset_type);
extern MICROTOUCHSTS MicroTouchCalibrateExtended(BYTE *response_str);
extern MICROTOUCHSTS MicroTouchFormatTablet(void);
extern MICROTOUCHSTS MicroTouchModeStream(void);
extern MICROTOUCHSTS MicroTouchOutputIdentify(BYTE *response_str);
extern MICROTOUCHSTS MicroTouchUnitType(BYTE *response_str);
extern MICROTOUCHSTS MicroTouchUnitTypeVerify(BYTE *response_str);
extern MICROTOUCHSTS MicroTouchNullCommand(void);
extern MICROTOUCHSTS MicroTouchParameterSet(BYTE baud_char, BYTE bits_char, BYTE stop_char, BYTE parity_char);
extern MICROTOUCHSTS MicroTouchSetParameter(MICROTOUCHPARAMS *param);
extern MICROTOUCHSTS MicroTouchGetParameter(MICROTOUCHPARAMS *param);
extern MICROTOUCHSTS MicroTouchCalibrateRaw(void);
extern MICROTOUCHSTS MicroTouchFormatRaw(void);
extern MICROTOUCHSTS MicroTouchFingerOnly(void);
extern MICROTOUCHSTS MicroTouchPenOnly(void);
extern MICROTOUCHSTS MicroTouchPenOrFinger(void);
extern MICROTOUCHSTS MicroTouchRestoreDefaults(void);
extern void MicroTouchSendCommand(BYTE *cmd_str);
extern MICROTOUCHSTS MicroTouchGetResponse(BYTE *response, UWORD timeout);
