/*-------------------------------------------------------------------
Name......... timer.h
Author....... Marc Adams
Date......... 24/07/03
Description.. Header file for the timer screen driver
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef PERIPHERAL_TIMER
#define PERIPHERAL_TIMER

/****	Defines */
/****	Type Definitions */

typedef	volatile WORD	TIMER;
typedef WORD TIME;
typedef volatile WORD CLOCK;

typedef	struct timerservices
{
	BYTE	(*settimer)(TIMER* timer,TIME time);
	BYTE	(*setfreezetimer)(TIMER* timer,TIME time);
} TIMERSERVICES;


typedef struct	timervars
{
	BYTE	shutdown;
} TIMERVARS;

/****	Prototypes */

	#include	"timer.p"

#endif

/*************************************************************************/
